newfangled master suite

Home Forums Products Plug-Ins newfangled master suite

Tagged: 

  • This topic has 7 replies, 3 voices, and was last updated 10 months ago by DGillespie
    Eventide Staff
    .
Viewing 5 reply threads
  • Author
    Posts
    • #161193
      operasix
      Participant

      Hey guys,

      I dont know for sure if I’m right here with the newfangled plugin topic but I just wanted to ask if anybody else of you is also recognizing that all the newfangled plugins work very “jerky” on apple M1 Monterey. The whole GUI reacts delayed and the visualisation of levels etc doenst run smoothly.

      I’ve installed the latest version.

       

      Hope this will be fixed soon. Always feels like the CPU is close to overload but it runs on 10% and all other 3rd party plug ins run nice and smooth.

    • #161200
      DGillespie
      Moderator
      Eventide Staff

      Hi,

      Yes, unfortunately Apple’s support for OpenGL is deprecated and it seems like it works a little less well in every MacOS update.  The solution to this is to make sure you have the latest versions installed and to go into the SETTINGS page and turn OPENGL off, then close and reopen the UI.  That should make it much better, and if it does, you might want to consider saving these settings over the default preset so all new instances will load with these settings.  (While doing so you can change the default UI size and meters and anything you want.)

      FYI, the latest Generate and Pendulate release changes the default on Mac to be OpenGL off for this reason, and I plan to do the same in an upcoming Elevate Mastering Bundle release.

      Dan

    • #161204
      operasix
      Participant

      thank you for your quick reply.
      I will try this.
      But where in the newfangled plugins can I check which version I’m running ? I can’t find it nowhere ?

      all the best
      steffen

    • #161211
      DGillespie
      Moderator
      Eventide Staff

      Just hover your mouse over the NEWFANGLED AUDIO in the UI.

       

      Dan

    • #161222
      operasix
      Participant

      Hey Dan,

      When I hover I get the info “1.9.1 Intel”

      I read that there is a native version for M1 and it should be displayed as “arm” instead of “intel”

      Seems like I m running the wrong version ?

      But I cant find any possibility to chose a version on the newfangled website. I always get the latest installer that will install the intel version !?

      • #161225
        DGillespie
        Moderator
        Eventide Staff

        Is your DAW arm Native? It will have to be.

    • #161820
      La Familia
      Participant

      Hi, Thanks for the feedback! In Catalina 10.15.7 the recommendation would be to use OpenGL enabled?

      • #161850
        DGillespie
        Moderator
        Eventide Staff

        Honestly, OGL on recent version of MacOS is getting slower and slower, so I’m defaulting to turning it off.  The next release will probably default to off on Mac.

Viewing 5 reply threads
  • You must be logged in to reply to this topic.